/* Global Styles */

:root {
  --bs-breakpoint-xs: 0;
  --bs-breakpoint-sm: 576px;
  --bs-breakpoint-md: 768px;
  --bs-breakpoint-lg: 992px;
  --bs-breakpoint-xl: 1200px;
  --bs-breakpoint-xxl: 1400px;
  --font-family: Geom;
  --main-color: #fce2ca;
  --chocolate-color: #533333;
  --milk-chocolate-color: #c98458;
  --donut-orange: #dd7739;
}

[type="button"],
[type="reset"],
[type="submit"],
button {
  -webkit-appearance: button;
}

[type="button"]:not(:disabled),
[type="reset"]:not(:disabled),
[type="submit"]:not(:disabled),
button:not(:disabled) {
  cursor: pointer;
}

/* *:not(dfn) {
  font-family: 'Geom';
} */

*,
::after,
::before {
  box-sizing: border-box;
}

@media (prefers-reduced-motion: no-preference) {
  :root {
    scroll-behavior: smooth;
  }
}

@font-face {
  font-family: "Geom";
  src: url("fonts/Geom/Geom-Black.woff2") format("woff2");
  font-weight: 900;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Geom";
  src: url("fonts/Geom/Geom-Bold.woff2") format("woff2");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Geom";
  src: url("fonts/Geom/Geom-SemiBold.woff2") format("woff2");
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Geom";
  src: url("fonts/Geom/Geom-Medium.woff2") format("woff2");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Geom";
  src: url("fonts/Geom/Geom-Regular.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Geom";
  src: url("fonts/Geom/Geom-Light.woff2") format("woff2");
  font-weight: 300;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "line_love";
  src: url("fonts/line_love/LineLoveRegular.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "line_love";
  src: url("fonts/line_love/LineLove.woff2") format("woff2");
  font-weight: 300;
  font-style: normal;
  font-display: swap;
}

body {
  margin: 0;
  font-family: var(--font-family);
  font-size: var(--bs-body-font-size);
  font-weight: var(--bs-body-font-weight);
  line-height: var(--bs-body-line-height);
  color: var(--bs-body-color);
  text-align: var(--bs-body-text-align);
  background-color: var(--main-color);
  -webkit-text-size-adjust: 100%;
  -webkit-tap-highlight-color: transparent;
}

a {
  text-decoration: none !important;
}

/* a:hover {
  color: white !important;
} */

b,
strong {
  font-weight: bolder;
}

ol,
ul {
  padding-left: 2rem;
}

dl,
ol,
ul {
  margin-top: 0;
  margin-bottom: 1rem;
}

li {
  list-style: none !important;
}

.h1,
.h2,
.h3,
.h4,
.h5,
.h6,
h1,
h2,
h3,
h4,
h5,
h6 {
  margin-top: 0;
  margin-bottom: 0.5rem;
  font-weight: 500;
  line-height: 1.2;
  color: var(--bs-heading-color);
}

.h2,
h2 {
  font-size: calc(1.325rem + 0.9vw);
}

.h3,
h3 {
  font-size: 1.75rem;
}

p {
  display: block;
  margin-block-start: 1em;
  margin-block-end: 1em;
  margin-inline-start: 0px;
  margin-inline-end: 0px;
  unicode-bidi: isolate;
}

@media (min-width: 1200px) {
  .h2,
  h2 {
    font-size: 2rem;
  }
}

img,
svg {
  vertical-align: middle;
}

textarea {
  resize: none;
}

.container {
  padding: 0 10px;
  box-sizing: border-box;
  max-width: 1400px;
  min-width: 300px;
  margin: 0 auto;
}

/* Position Utility Classes */
.pos-relative {
  position: relative;
}

.pos-absolute {
  position: absolute;
}

/* Flex Utility Classes */
.d-flex {
  display: flex !important;
  column-gap: 15px;
}
.flex-col {
  flex-direction: column;
}
.flex-wrap {
  flex-wrap: wrap !important;
}

.justify-content-between {
  justify-content: space-between;
}
.justify-content-center {
  justify-content: center;
}
.justify-content-end {
  justify-content: flex-end;
}
.align-items-center {
  align-items: center;
}

.align-items-bottom {
  align-items: end;
}

.align-items-baseline {
  align-items: baseline;
}

.gap-5 {
  gap: 5px;
}

.gap-30 {
  gap: 30px;
}

/* Text Utility Classes */

.text-center {
  text-align: center;
}
.text-left {
  text-align: left;
}
.text-right {
  text-align: right;
}

.text-bold {
  font-weight: 700;
}

.text-medium {
  font-weight: 500;
}

.text-chocolate {
  color: var(--chocolate-color);
}

.text-milk-chocolate {
  color: var(--milk-chocolate-color) !important;
}

.text-orange {
  color: var(--donut-orange) !important;
}

/* Padding */

.pad-top-10 {
  padding-top: 10px !important;
}

/* Background Utility Classes */

.bg-chocolate {
  color: var(--chocolate-color);
}

.row > * {
  flex-shrink: 0;
  max-width: 100%;
  padding-right: calc(var(--bs-gutter-x) * 0.5);
  padding-left: calc(var(--bs-gutter-x) * 0.5);
  margin-top: var(--bs-gutter-y);
}

.row {
  --bs-gutter-x: 1.5rem;
  --bs-gutter-y: 0;
  display: flex;
  flex-wrap: wrap;
  margin-top: calc(-1 * var(--bs-gutter-y));
  margin-right: calc(-0.5 * var(--bs-gutter-x));
  margin-left: calc(-0.5 * var(--bs-gutter-x));
}

.full-width {
  width: 100%;
}

/* Text font  */

.font-line-love {
  font-family: "line_love";
  color: #5c2a20;
  font-size: 47px;
  font-weight: 600;
  line-height: normal;
}

@media only screen and (max-width: 767px) {
  .font-line-love {
    display: none;
  }
}

/* Donuts Sky  */

.donuts-sky {
  position: relative;
  padding-top: 150px;
  text-align: center;
  background: linear-gradient(
    to bottom,
    #19436b 0%,
    #315c7f 15%,
    #7597b2 30%,
    #a8b1ae 40%,
    #dec398 50%,
    #efcc96 55%,
    #f6d5a8 60%,
    #edcfb7 80%,
    #fce2cb 100%
  );
}

main {
  overflow-x: hidden;
}

.donuts-sky h3 {
  bottom: 0;
  left: 50%;
  width: 100%;
  transform: translateX(-50%);
  z-index: 2;
}

#stars {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  pointer-events: none;
}
.star {
  /* box-shadow: 0px 0px 1px 1px rgba(255, 255, 255, 0.4); */
  position: absolute;
  width: 1px;
  height: 1.5px;
  border-radius: 2px;
  background-color: white;
  box-shadow:
    0 0 2px rgba(255, 255, 255, 0.8),
    0 0 6px rgba(255, 255, 255, 0.6),
    0 0 12px rgba(255, 255, 255, 0.4);
}

/* Text box  */

.text-container {
  position: relative;
  /* background: #f9f1ea; */
  /* z-index: 1; */
}

.text-container::before {
  display: block;
  content: "";
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background: #f9f1ea;
  z-index: -1;
}

.text-box-medium {
  position: relative;
  width: 100%;
  max-width: 700px;
  /* height: 100%;
  max-height: 452px; */
  /* padding: 70px 70px 61px; */
  padding: 70px 50px 61px;
  background-image:
    url("/img/corner-lt.png"), url("/img/corner-rt.png"),
    url("/img/corner-bl.png"), url("/img/corner-br.png");
  background-position:
    top left,
    top right,
    bottom left,
    bottom right;
  background-repeat: no-repeat;
}

.text-box-top-bottom-pieces {
  position: absolute;
  display: flex;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  z-index: 0;
  padding: 0 120px;
  box-sizing: border-box;
  justify-content: space-between;
  flex-direction: column;
}

.text-box-top-bottom-pieces:before {
  content: "";
  background-image: url("/img/piece-top.png");
  background-repeat: repeat;
  width: 100%;
  height: 109px;
  z-index: 0;
}

.text-box-top-bottom-pieces::after {
  content: "";
  background-image: url("/img/piece-bottom.png");
  background-repeat: repeat;
  width: 100%;
  height: 109px;
  z-index: 0;
}

.text-box-left-right-pieces {
  position: absolute;
  display: flex;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  z-index: 0;
  padding: 100px 0;
  box-sizing: border-box;
  justify-content: space-between;
}

.text-box-left-right-pieces:before {
  content: "";
  background-image: url("/img/piece-left.png");
  background-repeat: repeat;
  width: 125px;
  height: 100%;
  z-index: 0;
  box-sizing: border-box;
}

.text-box-left-right-pieces::after {
  content: "";
  background-image: url("/img/piece-right.png");
  background-repeat: repeat;
  width: 125px;
  height: 100%;
  z-index: 0;
  box-sizing: border-box;
}

.text-box-large {
  position: relative;
  width: 100%;
  height: 100%;
  text-align: center;
  max-width: 910px;
  max-height: 262px;
  /* padding: 70px 70px 61px; */
  padding: 70px 50px 61px;
  background-image:
    url("/img/corner-lt.png"), url("/img/corner-rt.png"),
    url("/img/corner-bl.png"), url("/img/corner-br.png");
  background-position:
    top left,
    top right,
    bottom left,
    bottom right;
  background-repeat: no-repeat;
}

.text-container h3 {
  font-size: 25px;
}

.text-box-medium p {
  font-size: 18px;
  font-weight: 500;
  color: var(--chocolate-color);
}

.btn-link {
  display: block;
  background-color: var(--chocolate-color);
  border-radius: 28px;
  font-size: 16px;
  color: white;
  padding: 10px;
  width: 100%;
  margin: 20px auto 0;
  max-width: 210px;
  transition: 0.3s;
}

.btn-link:hover {
  background-color: var(--milk-chocolate-color);
}

/*animation*/

.cloud-moving-left {
  position: relative;
  animation: moveLeftRight 3s infinite alternate ease-in-out;
}

@keyframes moveLeftRight {
  0% {
    left: 0;
  }
  100% {
    left: 50px;
  }
}

.cloud-moving-right {
  position: relative;
  animation: moveRightLeft 3s infinite alternate ease-in-out;
}

@keyframes moveRightLeft {
  0% {
    right: 0;
  }
  100% {
    right: 50px;
  }
}

.chocolate-double-donuts {
  animation: moveUpDown 3s infinite alternate ease-in-out;
}

@keyframes moveUpDown {
  0% {
    top: -70px;
  }
  100% {
    top: -50px;
  }
}

img.rasberry {
  animation: moveSide 3s infinite alternate ease-in-out;
}

@keyframes moveSide {
  0% {
    left: 340px;
  }
  100% {
    left: 360px;
  }
}

@media only screen and (max-width: 768px) {
  @keyframes moveLeftRight {
    0% {
      left: -260px;
    }
    100% {
      left: -220px;
    }
  }

  @keyframes moveRightLeft {
    0% {
      right: -260px;
    }
    100% {
      right: -220px;
    }
  }
}

.slick-dots li button:before {
  font-size: 10px;
  color: #ccc;
}

.slick-dots li.slick-active button:before {
  color: #000;
}

.d-flex.slick-dotted {
  flex-direction: column;
}

ul.slick-dots {
  margin-top: 15px;
  padding: 0;
  display: flex;
  justify-content: center;
}

ul.slick-dots button {
  background: #f1c5a9;
  font-size: 0;
  width: 20px;
  height: 20px;
  border-radius: 100%;
  margin: 0 2px;
  border: unset;
}

li.slick-active button {
  background: #61372c;
}

.donuts-sky img {
  position: relative;
  width: 100%;
  max-width: max-content;
  z-index: 1;
}

.main-image-clouds-mobile {
  position: absolute !important;
  left: 50%;
  bottom: 220px;
  transform: translateX(-50%);
  z-index: 0 !important;
  animation: moveClouds 13s infinite alternate ease-in-out;
}

.footer-invitation > img,
.donuts-everywhere > img,
.gallery-events-text-container > img {
  z-index: -1;
}

@media only screen and (min-width: 501px) {
  .main-image-clouds-mobile {
    display: none;
  }
}

img.main-image-clouds {
  position: absolute !important;
  left: 50%;
  bottom: -180px;
  transform: translateX(-50%);
  z-index: 0 !important;
  /* animation: moveClouds 4s infinite alternate ease-in-out; */
}

@keyframes moveClouds {
  0% {
    left: 50%;
  }
  50% {
    left: 49%;
  }

  100% {
    left: 51%;
  }
}

/*Responsive*/

@media only screen and (min-width: 768px) {
  .font-mobile {
    display: none;
  }
}

@media only screen and (max-width: 767px) {
  .text-container {
    padding: 0;
  }
}

@media only screen and (max-width: 767px) {
  .text-container h3 {
    font-size: 18px;
    max-width: 85%;
    margin: auto;
  }
  .text-container p {
    font-size: 15px;
  }

  .btn-link {
    font-size: 14px;
    max-width: 180px;
    margin: 0px auto 20px;
  }
}

@media only screen and (min-width: 501px) {
  .main-image-mobile {
    display: none;
  }
}

@media only screen and (max-width: 500px) {
  .main-image {
    display: none;
  }
  .donuts-sky h3 {
    display: none;
  }

  img.main-image-clouds {
    display: none;
  }
}

@media only screen and (min-width: 501px) {
  .text-box-medium::after,
  .text-box-large::after {
    content: "";
    position: absolute;
    bottom: -30px;
    left: 50%;
    transform: translateX(-50%);
    width: 80%;
    height: 47px;
    background: linear-gradient(180deg, #3c0e08 0%, #210d0700 100%);
    border-radius: 50%;
    filter: blur(16px);
    z-index: -1;
  }
}

@media only screen and (max-width: 425px) {
  .main-image-clouds-mobile {
    position: absolute !important;
    left: 50%;
    bottom: 140px;
    transform: translateX(-50%);
    z-index: 0 !important;
    animation: moveClouds 13s infinite alternate ease-in-out;
  }

  img.font-mobile {
    max-width: 70%;
  }
  img.font-mobile:not(.follow-donutsmania) {
    margin: 25px 0;
  }
}
